Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
osmium::geom::MercatorProjection Class Reference

`#include <mercator_projection.hpp>`

## Public Member Functions
| MercatorProjection ()
Coordinates | operator() (osmium::Location location) const

## Static Public Member Functions
static int | epsg () noexcept
static std::string | proj_string () noexcept

## Detailed Description

Functor that does projection from WGS84 (EPSG:4326) to "Web Mercator" (EPSG:3857)

## Constructor & Destructor Documentation

## ◆ MercatorProjection()

osmium::geom::MercatorProjection::MercatorProjection | ( |  | ) |
| inline

## Member Function Documentation

## ◆ epsg()

static int osmium::geom::MercatorProjection::epsg | ( |  | ) |
| inline static noexcept

## ◆ operator()()

Coordinates osmium::geom::MercatorProjection::operator() | ( | osmium::Location | location | ) | const
| inline

Do coordinate transformation.

Precondition
  Coordinates must be in valid range, longitude between -180 and +180 degree, latitude between -MERCATOR_MAX_LAT and MERCATOR_MAX_LAT.

## ◆ proj_string()

static std::string osmium::geom::MercatorProjection::proj_string | ( |  | ) |
| inline static noexcept

The documentation for this class was generated from the following file:

- include/osmium/geom/mercator_projection.hpp